CREATE TABLE cst_resource_transactions_s_gt (
    RESOURCE_TRANSACTION_ID        NUMBER(18, 0) ,
    LE_TIMEZONE_CODE               VARCHAR2(200) ,
    COST_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                   NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID      NUMBER(18, 0)     NOT NULL,
    RESOURCE_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID              NUMBER(18, 0)     NOT NULL,
    ITEM_COST_PROFILE_ID           NUMBER(18, 0) ,
    COST_PROFILE_ID                NUMBER(18, 0) ,
    CST_WO_RESOURCE_TXN_ID         NUMBER(18, 0) ,
    CST_WORK_ORDER_ID              NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID    NUMBER(18, 0)     NOT NULL,
    WORK_CENTER_ID                 NUMBER(18, 0) ,
    WO_OPERATION_RESOURCE_ID       NUMBER(18, 0) ,
    RESOURCE_ACTIVITY_CODE         VARCHAR2(120) ,
    COST_TRANSACTION_TYPE          VARCHAR2(120)     NOT NULL,
    ADDITIONAL_PROCESSING_CODE     VARCHAR2(80)  ,
    TXN_SOURCE_DOC_TYPE            VARCHAR2(200) ,
    TXN_SOURCE_DOC_NUMBER          VARCHAR2(960) ,
    TXN_SOURCE_REF_DOC_TYPE        VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER      VARCHAR2(960) ,
    BASE_TXN_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID        NUMBER(18, 0)     NOT NULL,
    BASE_TXN_ACTION_ID             NUMBER(18, 0)     NOT NULL,
    TRANSACTION_DATE               TIMESTAMP(6)      NOT NULL,
    COST_DATE                      TIMESTAMP(6)  ,
    COST_METHOD_CODE               VARCHAR2(120) ,
    COMPONENT_GROUP_ID             NUMBER(18, 0) ,
    TRANSACTION_QUANTITY           NUMBER        ,
    TRANSACTION_UOM_CODE           VARCHAR2(12)  ,
    PRIMARY_QUANTITY               NUMBER        ,
    PRIMARY_UOM_CODE               VARCHAR2(12)  ,
    POSTED_FLAG                    VARCHAR2(20)  ,
    PREPROCESSING_STATUS           VARCHAR2(120)     NOT NULL,
    ERROR_CODE                     VARCHAR2(120) ,
    COSTING_STATUS                 VARCHAR2(4)   ,
    ACCOUNTING_STATUS              VARCHAR2(4)   ,
    SERVICE_WIP_FLAG               VARCHAR2(4)   ,
    SERVICE_COST_POSTED_FLAG       VARCHAR2(4)   ,
    DEBRIEF_LINE_ID                NUMBER(18, 0) ,
    PERIOD_NAME                    VARCHAR2(60)  ,
    PERIOD_START_DATE              DATE          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    PJC_PROJECT_ID                 NUMBER(18, 0) ,
    RESOURCE_TRANSACTION_ID        NUMBER(18, 0) ,
    LE_TIMEZONE_CODE               VARCHAR2(200) ,
    COST_ORG_ID                    NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                   NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORGANIZATION_ID      NUMBER(18, 0)     NOT NULL,
    RESOURCE_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID              NUMBER(18, 0)     NOT NULL,
    ITEM_COST_PROFILE_ID           NUMBER(18, 0) ,
    COST_PROFILE_ID                NUMBER(18, 0) ,
    CST_WO_RESOURCE_TXN_ID         NUMBER(18, 0) ,
    CST_WORK_ORDER_ID              NUMBER(18, 0)     NOT NULL,
    CST_WORK_ORDER_OPERATION_ID    NUMBER(18, 0)     NOT NULL,
    WORK_CENTER_ID                 NUMBER(18, 0) ,
    WO_OPERATION_RESOURCE_ID       NUMBER(18, 0) ,
    RESOURCE_ACTIVITY_CODE         VARCHAR2(120) ,
    COST_TRANSACTION_TYPE          VARCHAR2(120)     NOT NULL,
    ADDITIONAL_PROCESSING_CODE     VARCHAR2(80)  ,
    TXN_SOURCE_DOC_TYPE            VARCHAR2(200) ,
    TXN_SOURCE_DOC_NUMBER          VARCHAR2(960) ,
    TXN_SOURCE_REF_DOC_TYPE        VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER      VARCHAR2(960) ,
    BASE_TXN_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID        NUMBER(18, 0)     NOT NULL,
    BASE_TXN_ACTION_ID             NUMBER(18, 0)     NOT NULL,
    TRANSACTION_DATE               TIMESTAMP(6)      NOT NULL,
    COST_DATE                      TIMESTAMP(6)  ,
    COST_METHOD_CODE               VARCHAR2(120) ,
    COMPONENT_GROUP_ID             NUMBER(18, 0) ,
    TRANSACTION_QUANTITY           NUMBER        ,
    TRANSACTION_UOM_CODE           VARCHAR2(12)  ,
    PRIMARY_QUANTITY               NUMBER        ,
    PRIMARY_UOM_CODE               VARCHAR2(12)  ,
    POSTED_FLAG                    VARCHAR2(20)  ,
    PREPROCESSING_STATUS           VARCHAR2(120)     NOT NULL,
    ERROR_CODE                     VARCHAR2(120) ,
    COSTING_STATUS                 VARCHAR2(4)   ,
    ACCOUNTING_STATUS              VARCHAR2(4)   ,
    SERVICE_WIP_FLAG               VARCHAR2(4)   ,
    SERVICE_COST_POSTED_FLAG       VARCHAR2(4)   ,
    DEBRIEF_LINE_ID                NUMBER(18, 0) ,
    PERIOD_NAME                    VARCHAR2(60)  ,
    PERIOD_START_DATE              DATE          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    PJC_PROJECT_ID                 NUMBER(18, 0) ,
    CONSTRAINT pk_cst_resource_transactions_s_gt PRIMARY KEY (RESOURCE_TRANSACTION_ID, RESOURCE_TRANSACTION_ID)
);
